%define pkg_name        HTTP-MessageParser
%define pkg_version     0.3
%define rpm_pkg_version 0.3
%define rpm_pkg_release 2.n0i.2

Summary:       Parse HTTP Messages
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CH/CHANSEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter)


%description
Parse HTTP/1.0 and HTTP/1.1 Messages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ README


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Tue Apr 04 2006 Marius Feraru <altblue@n0i.net> 0.3-1.n0i.1
- spec file (re)created using main/v1.12.0
- rebuild on perl 5.8.8
